ONVIF::Device::Types::H264Options(3)

NAME
ONVIF::Device::Types::H264Options

DESCRIPTION
Perl data type class for the XML Schema defined complexType H264Options from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ResolutionsAvailable

•   GovLengthRange

•   FrameRateRange

•   EncodingIntervalRange

•   H264ProfilesSupported

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::H264Options
   ResolutionsAvailable =>  { # ONVIF::Device::Types::VideoResolution
     Width =>  $some_value, # int
     Height =>  $some_value, # int
   },
   GovLengthRange =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   FrameRateRange =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   EncodingIntervalRange =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   H264ProfilesSupported => $some_value, # H264Profile
 },

AUTHOR
Generated by SOAP::WSDL